Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network196.72.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
196.72.0.0
Broadcast address
196.72.127.255
First usable
196.72.0.1
Last usable
196.72.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
C (default /24)
As numbers
Hex C4480000 · Integer 3293052928 to 3293085695
Reverse DNS zones
0.72.196.in-addr.arpa
1.72.196.in-addr.arpa
2.72.196.in-addr.arpa
3.72.196.in-addr.arpa
4.72.196.in-addr.arpa
5.72.196.in-addr.arpa
6.72.196.in-addr.arpa
7.72.196.in-addr.arpa
8.72.196.in-addr.arpa
9.72.196.in-addr.arpa
10.72.196.in-addr.arpa
11.72.196.in-addr.arpa
12.72.196.in-addr.arpa
13.72.196.in-addr.arpa
14.72.196.in-addr.arpa
15.72.196.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000100.01001000.00000000.00000000196.72.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11000100.01001000.00000000.00000000196.72.0.0
Broadcast11000100.01001000.01111111.11111111196.72.127.255
Split into smaller subnets/24

196.72.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1196.72.0.0/24196.72.0.1 to 196.72.0.254196.72.0.255254
2196.72.1.0/24196.72.1.1 to 196.72.1.254196.72.1.255254
3196.72.2.0/24196.72.2.1 to 196.72.2.254196.72.2.255254
4196.72.3.0/24196.72.3.1 to 196.72.3.254196.72.3.255254
5196.72.4.0/24196.72.4.1 to 196.72.4.254196.72.4.255254
6196.72.5.0/24196.72.5.1 to 196.72.5.254196.72.5.255254
7196.72.6.0/24196.72.6.1 to 196.72.6.254196.72.6.255254
8196.72.7.0/24196.72.7.1 to 196.72.7.254196.72.7.255254
9196.72.8.0/24196.72.8.1 to 196.72.8.254196.72.8.255254
10196.72.9.0/24196.72.9.1 to 196.72.9.254196.72.9.255254
11196.72.10.0/24196.72.10.1 to 196.72.10.254196.72.10.255254
12196.72.11.0/24196.72.11.1 to 196.72.11.254196.72.11.255254
13196.72.12.0/24196.72.12.1 to 196.72.12.254196.72.12.255254
14196.72.13.0/24196.72.13.1 to 196.72.13.254196.72.13.255254
15196.72.14.0/24196.72.14.1 to 196.72.14.254196.72.14.255254
16196.72.15.0/24196.72.15.1 to 196.72.15.254196.72.15.255254
17196.72.16.0/24196.72.16.1 to 196.72.16.254196.72.16.255254
18196.72.17.0/24196.72.17.1 to 196.72.17.254196.72.17.255254
19196.72.18.0/24196.72.18.1 to 196.72.18.254196.72.18.255254
20196.72.19.0/24196.72.19.1 to 196.72.19.254196.72.19.255254
21196.72.20.0/24196.72.20.1 to 196.72.20.254196.72.20.255254
22196.72.21.0/24196.72.21.1 to 196.72.21.254196.72.21.255254
23196.72.22.0/24196.72.22.1 to 196.72.22.254196.72.22.255254
24196.72.23.0/24196.72.23.1 to 196.72.23.254196.72.23.255254
25196.72.24.0/24196.72.24.1 to 196.72.24.254196.72.24.255254
26196.72.25.0/24196.72.25.1 to 196.72.25.254196.72.25.255254
27196.72.26.0/24196.72.26.1 to 196.72.26.254196.72.26.255254
28196.72.27.0/24196.72.27.1 to 196.72.27.254196.72.27.255254
29196.72.28.0/24196.72.28.1 to 196.72.28.254196.72.28.255254
30196.72.29.0/24196.72.29.1 to 196.72.29.254196.72.29.255254
31196.72.30.0/24196.72.30.1 to 196.72.30.254196.72.30.255254
32196.72.31.0/24196.72.31.1 to 196.72.31.254196.72.31.255254
33196.72.32.0/24196.72.32.1 to 196.72.32.254196.72.32.255254
34196.72.33.0/24196.72.33.1 to 196.72.33.254196.72.33.255254
35196.72.34.0/24196.72.34.1 to 196.72.34.254196.72.34.255254
36196.72.35.0/24196.72.35.1 to 196.72.35.254196.72.35.255254
37196.72.36.0/24196.72.36.1 to 196.72.36.254196.72.36.255254
38196.72.37.0/24196.72.37.1 to 196.72.37.254196.72.37.255254
39196.72.38.0/24196.72.38.1 to 196.72.38.254196.72.38.255254
40196.72.39.0/24196.72.39.1 to 196.72.39.254196.72.39.255254
41196.72.40.0/24196.72.40.1 to 196.72.40.254196.72.40.255254
42196.72.41.0/24196.72.41.1 to 196.72.41.254196.72.41.255254
43196.72.42.0/24196.72.42.1 to 196.72.42.254196.72.42.255254
44196.72.43.0/24196.72.43.1 to 196.72.43.254196.72.43.255254
45196.72.44.0/24196.72.44.1 to 196.72.44.254196.72.44.255254
46196.72.45.0/24196.72.45.1 to 196.72.45.254196.72.45.255254
47196.72.46.0/24196.72.46.1 to 196.72.46.254196.72.46.255254
48196.72.47.0/24196.72.47.1 to 196.72.47.254196.72.47.255254
49196.72.48.0/24196.72.48.1 to 196.72.48.254196.72.48.255254
50196.72.49.0/24196.72.49.1 to 196.72.49.254196.72.49.255254
51196.72.50.0/24196.72.50.1 to 196.72.50.254196.72.50.255254
52196.72.51.0/24196.72.51.1 to 196.72.51.254196.72.51.255254
53196.72.52.0/24196.72.52.1 to 196.72.52.254196.72.52.255254
54196.72.53.0/24196.72.53.1 to 196.72.53.254196.72.53.255254
55196.72.54.0/24196.72.54.1 to 196.72.54.254196.72.54.255254
56196.72.55.0/24196.72.55.1 to 196.72.55.254196.72.55.255254
57196.72.56.0/24196.72.56.1 to 196.72.56.254196.72.56.255254
58196.72.57.0/24196.72.57.1 to 196.72.57.254196.72.57.255254
59196.72.58.0/24196.72.58.1 to 196.72.58.254196.72.58.255254
60196.72.59.0/24196.72.59.1 to 196.72.59.254196.72.59.255254
61196.72.60.0/24196.72.60.1 to 196.72.60.254196.72.60.255254
62196.72.61.0/24196.72.61.1 to 196.72.61.254196.72.61.255254
63196.72.62.0/24196.72.62.1 to 196.72.62.254196.72.62.255254
64196.72.63.0/24196.72.63.1 to 196.72.63.254196.72.63.255254
65196.72.64.0/24196.72.64.1 to 196.72.64.254196.72.64.255254
66196.72.65.0/24196.72.65.1 to 196.72.65.254196.72.65.255254
67196.72.66.0/24196.72.66.1 to 196.72.66.254196.72.66.255254
68196.72.67.0/24196.72.67.1 to 196.72.67.254196.72.67.255254
69196.72.68.0/24196.72.68.1 to 196.72.68.254196.72.68.255254
70196.72.69.0/24196.72.69.1 to 196.72.69.254196.72.69.255254
71196.72.70.0/24196.72.70.1 to 196.72.70.254196.72.70.255254
72196.72.71.0/24196.72.71.1 to 196.72.71.254196.72.71.255254
73196.72.72.0/24196.72.72.1 to 196.72.72.254196.72.72.255254
74196.72.73.0/24196.72.73.1 to 196.72.73.254196.72.73.255254
75196.72.74.0/24196.72.74.1 to 196.72.74.254196.72.74.255254
76196.72.75.0/24196.72.75.1 to 196.72.75.254196.72.75.255254
77196.72.76.0/24196.72.76.1 to 196.72.76.254196.72.76.255254
78196.72.77.0/24196.72.77.1 to 196.72.77.254196.72.77.255254
79196.72.78.0/24196.72.78.1 to 196.72.78.254196.72.78.255254
80196.72.79.0/24196.72.79.1 to 196.72.79.254196.72.79.255254
81196.72.80.0/24196.72.80.1 to 196.72.80.254196.72.80.255254
82196.72.81.0/24196.72.81.1 to 196.72.81.254196.72.81.255254
83196.72.82.0/24196.72.82.1 to 196.72.82.254196.72.82.255254
84196.72.83.0/24196.72.83.1 to 196.72.83.254196.72.83.255254
85196.72.84.0/24196.72.84.1 to 196.72.84.254196.72.84.255254
86196.72.85.0/24196.72.85.1 to 196.72.85.254196.72.85.255254
87196.72.86.0/24196.72.86.1 to 196.72.86.254196.72.86.255254
88196.72.87.0/24196.72.87.1 to 196.72.87.254196.72.87.255254
89196.72.88.0/24196.72.88.1 to 196.72.88.254196.72.88.255254
90196.72.89.0/24196.72.89.1 to 196.72.89.254196.72.89.255254
91196.72.90.0/24196.72.90.1 to 196.72.90.254196.72.90.255254
92196.72.91.0/24196.72.91.1 to 196.72.91.254196.72.91.255254
93196.72.92.0/24196.72.92.1 to 196.72.92.254196.72.92.255254
94196.72.93.0/24196.72.93.1 to 196.72.93.254196.72.93.255254
95196.72.94.0/24196.72.94.1 to 196.72.94.254196.72.94.255254
96196.72.95.0/24196.72.95.1 to 196.72.95.254196.72.95.255254
97196.72.96.0/24196.72.96.1 to 196.72.96.254196.72.96.255254
98196.72.97.0/24196.72.97.1 to 196.72.97.254196.72.97.255254
99196.72.98.0/24196.72.98.1 to 196.72.98.254196.72.98.255254
100196.72.99.0/24196.72.99.1 to 196.72.99.254196.72.99.255254
101196.72.100.0/24196.72.100.1 to 196.72.100.254196.72.100.255254
102196.72.101.0/24196.72.101.1 to 196.72.101.254196.72.101.255254
103196.72.102.0/24196.72.102.1 to 196.72.102.254196.72.102.255254
104196.72.103.0/24196.72.103.1 to 196.72.103.254196.72.103.255254
105196.72.104.0/24196.72.104.1 to 196.72.104.254196.72.104.255254
106196.72.105.0/24196.72.105.1 to 196.72.105.254196.72.105.255254
107196.72.106.0/24196.72.106.1 to 196.72.106.254196.72.106.255254
108196.72.107.0/24196.72.107.1 to 196.72.107.254196.72.107.255254
109196.72.108.0/24196.72.108.1 to 196.72.108.254196.72.108.255254
110196.72.109.0/24196.72.109.1 to 196.72.109.254196.72.109.255254
111196.72.110.0/24196.72.110.1 to 196.72.110.254196.72.110.255254
112196.72.111.0/24196.72.111.1 to 196.72.111.254196.72.111.255254
113196.72.112.0/24196.72.112.1 to 196.72.112.254196.72.112.255254
114196.72.113.0/24196.72.113.1 to 196.72.113.254196.72.113.255254
115196.72.114.0/24196.72.114.1 to 196.72.114.254196.72.114.255254
116196.72.115.0/24196.72.115.1 to 196.72.115.254196.72.115.255254
117196.72.116.0/24196.72.116.1 to 196.72.116.254196.72.116.255254
118196.72.117.0/24196.72.117.1 to 196.72.117.254196.72.117.255254
119196.72.118.0/24196.72.118.1 to 196.72.118.254196.72.118.255254
120196.72.119.0/24196.72.119.1 to 196.72.119.254196.72.119.255254
121196.72.120.0/24196.72.120.1 to 196.72.120.254196.72.120.255254
122196.72.121.0/24196.72.121.1 to 196.72.121.254196.72.121.255254
123196.72.122.0/24196.72.122.1 to 196.72.122.254196.72.122.255254
124196.72.123.0/24196.72.123.1 to 196.72.123.254196.72.123.255254
125196.72.124.0/24196.72.124.1 to 196.72.124.254196.72.124.255254
126196.72.125.0/24196.72.125.1 to 196.72.125.254196.72.125.255254
127196.72.126.0/24196.72.126.1 to 196.72.126.254196.72.126.255254
128196.72.127.0/24196.72.127.1 to 196.72.127.254196.72.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses